; EmulOS 2
; By thePowersGang

%ifndef _PROC_INC_ASM_
%define _PROC_INC_ASM_

struc tThread
	.Next:	resd	1
	.EIP:	resd	1
	.ESP:	resd	1
	
	.State:	resw	1	; Current State
	.Time:	resw	1	; Time remaining for sleep/quantum
	.CPU:	resw	1
	.NumMessages:	resw	1
	.Messages:	resd	1
	resd	2
endstruc
%define tThread_bitsize	5
; sizeof = 24 bytes
; padded = 32 bytes

struc tCPU
	.NThreads:	resd 1
	.Active:	resd 1
	.First:		resd 1
	resd 1
endstruc
%define tCPU_bitsize	4
; sizeof = 12 bytes
; padded = 16 bytes

%endif
